# Class PartiePoisson

java.lang.Object
ecoparasite.poisson.PartiePoisson

public class PartiePoisson extends Object
Permet d'illustrer une partie d'un poisson.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartiePoisson(String name)`
  Constructeur.
  `PartiePoisson(String name, Double infestation)`
  Constructeur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `getInfestation()`
  `String`
  `getName()`
  `void`
  `setInfestation(Double infestation)`
  `void`
  `setName(String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PartiePoisson

    public PartiePoisson(String name, Double infestation)
    Constructeur. Génère une partie complète.
    Parameters:
      `name` - Le nom de la partie.
      `infestation` - Le taux d'infestation de la partie du poisson.

  - ### PartiePoisson

    public PartiePoisson(String name)
    Constructeur. Génère une infestation de null comme non communiqué.
    Parameters:
      `name` - Le nom de la partie.

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getInfestation

    public Double getInfestation()

  - ### setInfestation

    public void setInfestation(Double infestation)